Subject: Re: [Bitcoin-development] On OP_RETURN in upcoming 0.9 release

From: Wladimir <[email-masked]>
Date: Mon, 24 Feb 2014 17:39:37 +0100

On Mon, Feb 24, 2014 at 5:03 PM, Jeff Garzik <[email-masked]> wrote:

> A common IRC proposal seems to lean towards reducing that from 80.
> I'll leave it to the crowd to argue about size from there. I do think
> regular transactions should have the ability to include some metadata.
>

I'd be in favor of bringing it down to 40 for 0.9.

That'd be enough for <8 byte header/identifier><32 byte hash>.

80, as the standard line length, is almost asking for "insert your graffiti
message here". I also see no need for 64 bytes hashes such as SHA512 in the
context of bitcoin, as that only offers 256-bit security (at most) in the
first place.

And if this is not abused, these kind of transactions become popular, and
more space is really needed, the limit can always be increased in a future
version.

Wladimir